﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows.Forms;
using System.Drawing;

namespace pr284_1
{
    // Класс окна является производным от класса Form: 
    class MyForm : Form
    {
        // Закрытое поле является текстовьм массивом 
        // с названиями цветов:
        private string[] names = { "Красный", "Синий", "Зеленый", "Желтый" };
        // Закрытое поле - значение индекса для выбранного 
        // элемента из массива: 
        private int index = 0;
        // Закрытое поле - ссылка на объект метки: 
        private Label pict;
        // Закрытое поле - ссылка на объект 
        // раскрывающегося списка: 
        private ComboBox list;
        // Конструктор: 
        public MyForm() : base()
        {
            // Заголовок окна: 
            this.Text = "Цвета";
            // Размеры окна: 
            this.Size = new Size(300, 155);
            // Окно фиксированных размеров: 
            this.FormBorderStyle = FormBorderStyle.FixedSingle;
            // Окно нельзя развернуть на весь экран: 
            this.MaximizeBox = false;
            // Создание объекта метки: 
            pict = new Label();
            // Положение и размеры метки: 
            pict.SetBounds(5, 5, 154, 104);
            // Тип рамки вокруг метки: 
            pict.BorderStyle = BorderStyle.FixedSingle;
            // Цвет фона для метки: 
            pict.BackColor = Color.Red;
            // Добавление метки в окно: 
            this.Controls.Add(pict);
            // Создание объекта для списка: 
            list = new ComboBox();
            // Содержимое списка: 
            list.Items.AddRange(names);
            // Тип списка:
            list.DropDownStyle = ComboBoxStyle.DropDownList;
            // Индекс выбранного в списке элемента: 
            list.SelectedIndex = index;
            // Положение списка:
            list.Left = pict.Right + 5;
            list.Top = pict.Top;
            // Размеры списка: 
            list.Size = new Size(110, 50);
            // Шрифт для списка:
            list.Font = new Font("Courier New", 12, FontStyle.Bold);
            // Регистрация метода обработчиком для события,
            // связанного с выбором нового элемента в списке: 
            list.SelectedIndexChanged += OnItemChanged;
            // Добавление списка в окно: 
            this.Controls.Add(list);

            // Создание объекта кнопки:
            Button btn = new Button();
            // Название кнопки: 
            btn.Text = "Выход";
            // Положение кнопки:
            btn.Left = list.Left;
            btn.Top = list.Bottom + 10;
            // Размеры кнопки:
            btn.Width = list.Width;
            btn.Height = 30;
            // Шрифт для кнопки: 
            btn.Font = list.Font;
            // Регистрация метода обработчиком события,
            // связанного со щелчком по кнопке: 
            btn.Click += OnButtonClick;
            // Добавление кнопки в окно: 
            this.Controls.Add(btn);
        }
        // Метод для обработки события, связанного с выбором 
        // в списке нового элемента:
        private void OnItemChanged(object obj, EventArgs ea)
        {
            // Индекс выбранного в списке элемента: 
            int index = list.SelectedIndex;
            // Новый фон для метки: 
            switch (index) 
            {
                case 0:
                    pict.BackColor = Color.Red; break;
                case 1:
                    pict.BackColor = Color.Blue; break;
                case 2:
                    pict.BackColor = Color.Green; break;
                case 3:
                    pict.BackColor = Color.Yellow; break;
            }
        }
        // Метод для обработки события, связанного со щелчком 
        // по кнопке:
        private void OnButtonClick(object obj, EventArgs ea)
        {
            // Завершение выполнения приложения: 
            Application.Exit();
        }
    }
    class Program
    {
        [STAThread]
        // Главный метод: 
        static void Main()
        {
            // Отображение окна:
            Application.Run(new MyForm());
        }
    }
}
